
From: "Randy.Dunlap" <rddunlap@osdl.org>

On sparc32 build, there is a printk format arg-type warning:
fs/proc/proc_misc.c:195: warning: long unsigned int format, unsigned int arg (arg 23)

I tried to fix it with a change to asm-sparc/vaddrs.h:
-#define VMALLOC_START          0xfe600000
+#define VMALLOC_START          0xfe600000UL
-#define VMALLOC_END            0xffc00000
+#define VMALLOC_END            0xffc00000UL

but that won't fly because the #defines are used in asm code and asm doesn't
like the UL suffixes (reported by Bill Irwin).

Signed-off-by: Randy Dunlap <rddunlap@osdl.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/proc/proc_misc.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN fs/proc/proc_misc.c~procfs-fix-printk-arg-type-warning fs/proc/proc_misc.c
--- 25/fs/proc/proc_misc.c~procfs-fix-printk-arg-type-warning	2005-03-02 22:24:16.000000000 -0800
+++ 25-akpm/fs/proc/proc_misc.c	2005-03-02 22:24:16.000000000 -0800
@@ -190,7 +190,7 @@ static int meminfo_read_proc(char *page,
 		K(allowed),
 		K(committed),
 		K(ps.nr_page_table_pages),
-		VMALLOC_TOTAL >> 10,
+		(unsigned long)VMALLOC_TOTAL >> 10,
 		vmi.used >> 10,
 		vmi.largest_chunk >> 10
 		);
_
